Service Objectives - Get
取得資料庫服務目標。
GET https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Sql/servers/{serverName}/serviceObjectives/{serviceObjectiveName}?api-version=2014-04-01
URI 參數
| 名稱 | 位於 | 必要 | 類型 | Description |
|---|---|---|---|---|
|
resource
|
path | True |
string |
包含資源的資源群組名稱。 您可以從 Azure Resource Manager API 或入口網站取得此值。 |
|
server
|
path | True |
string |
伺服器的名稱。 |
|
service
|
path | True |
string |
要擷取的服務目標名稱。 |
|
subscription
|
path | True |
string |
識別 Azure 訂用帳戶的訂用帳戶標識碼。 |
|
api-version
|
query | True |
string |
要用於要求的 API 版本。 |
回應
| 名稱 | 類型 | Description |
|---|---|---|
| 200 OK |
還行 |
範例
Get a service objective
範例要求
GET https://management.azure.com/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/group1/providers/Microsoft.Sql/servers/sqlcrudtest/serviceObjectives/29dd7459-4a7c-4e56-be22-f0adda49440d?api-version=2014-04-01
範例回覆
{
"id": "/subscriptions/b6a6e0c5-e79c-4c6d-a878-72eafbca4cf2/resourceGroups/QA/providers/Microsoft.Sql/servers/nafantest/serviceObjectives/29dd7459-4a7c-4e56-be22-f0adda49440d",
"name": "29dd7459-4a7c-4e56-be22-f0adda49440d",
"type": "Microsoft.Sql/servers/serviceObjectives",
"location": "Central US",
"properties": {
"serviceObjectiveName": "System0",
"isDefault": false,
"isSystem": true,
"description": null,
"enabled": false
}
}
定義
ServiceObjective
表示資料庫服務目標。
| 名稱 | 類型 | Description |
|---|---|---|
| id |
string |
資源標識碼。 |
| name |
string |
資源名稱。 |
| properties.description |
string |
服務等級目標的描述。 |
| properties.enabled |
boolean |
取得是否啟用服務等級目標。 |
| properties.isDefault |
boolean |
取得服務等級目標是否為預設服務目標。 |
| properties.isSystem |
boolean |
取得服務等級目標是否為系統服務目標。 |
| properties.serviceObjectiveName |
string |
服務目標的名稱。 |
| type |
string |
資源類型。 |